The mysqli_warning class

- « mysqli_driver::$report_mode

- mysqli_warning::__construct »

- PHP Manual
- MySQLi
- The mysqli_warning class

# The mysqli_warning class

(PHP 5, PHP 7, PHP 8)

## Introduction

Represents a MySQL warning.

## Class synopsis

final class mysqli_warning {
/* Properties */
public string $message;
public string $sqlstate;
public int $errno;
/* Methods */
private __construct()
public next(): bool
}

## Properties

message

  Message string

sqlstate

  SQL state

errno

  Error number

## Table of Contents

- mysqli_warning::__construct — Private constructor to disallow direct instantiation
- mysqli_warning::next — Fetch next warning